#
# Revision: 68 1.2 samples/CdfView/makeit.ksh, xml4jsamples, xml4j-jtcsv, xml4j_1_1_9 
#

#
# Make script for com/ibm/xml/CdfView directory.
#


. setupEnvVars.ksh


THISDIR=samples/CdfView
THISCLASSDIR=$XML4JCLASSFILESDIR/$THISDIR
SRCDIR=.

SRCFILES="
                Gateway.java
                Main.java
                ProcCHANNEL.java
                ProcITEM.java
                XMLComponentM.java"



case $# in
    0)  target=all;;
    *)  target=$1;;
esac

case $target in 
    all)          javac $JAVACFLAGS $SRCFILES;
                  mesg="Finished compiling all files in $THISDIR.";;
    veryclean)    rm -f $THISCLASSDIR/*.class;
                  mesg="Finished cleanup in $THISDIR.";;
    *)            echo "Target '$target' not recognized.";
                  mesg="Finished processing '$target' in $THISDIR.";;
esac

echo $mesg
exit
