/*
 * (C) Copyright IBM Corp. 1997-1998  All rights reserved.
 *
 * US Government Users Restricted Rights Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package samples.Miscellaneous;

import com.ibm.xml.parser.*;
import java.io.InputStream;
import java.io.FileInputStream;
import java.io.ObjectInputStream;
import java.io.PrintWriter;

/**
 * A sample for Serialize.
 *
 * @version Revision: 81 1.1 samples/Miscellaneous/SerializeLoad.java, xml4jsamples, xml4j-jtcsv, xml4j_1_1_9 
 * @author TAMURA Kent &lt;kent@trl.ibm.co.jp&gt;
 */
public class SerializeLoad {
    public static void main(String[] argv) {
        try {
            ObjectInputStream ois = new ObjectInputStream(new FileInputStream("xml.ser"));
            TXDocument doc = (TXDocument)ois.readObject();
            ois.close();

            doc.print(new PrintWriter(System.out));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
