#
# Revision: 90 1.2 samples/XJParse/makeit.ksh, xml4jsamples, xml4j-jtcsv, xml4j_1_1_9 
#

#
# Make script for samples/XJParse directory.
# This directory contains files which require $SWINGJAR.
#


. setupEnvVars.ksh


THISDIR=samples/XJParse
THISCLASSDIR=$XML4JCLASSFILESDIR/$THISDIR
SRCDIR=.

SRCFILES="
                XJParse.java
		NSFormatPrintVisitor.java
        "


case $# in
    0)  target=all;;
    *)  target=$1;;
esac

case $target in 
    all)          javac $JAVACFLAGS $SRCFILES;
                  mesg="Finished compiling all files in $THISDIR.";;
    veryclean)    rm -f $THISCLASSDIR/*.class;
                  mesg="Finished cleanup in $THISDIR.";;
    *)            echo "Target '$target' not recognized.";
                  mesg="Finished processing '$target' in $THISDIR.";;
esac

echo $mesg
exit
