#
# Revision: 48 1.3 src/com/ibm/xml/omake/makeit.ksh, xml4jsrc, xml4j-jtcsv, xml4j_1_1_9 
#

#
# Make script for com/ibm/xml/omake directory.
#


. setupEnvVars.ksh


THISDIR=com/ibm/xml/omake
THISCLASSDIR=$XML4JCLASSFILESDIR/$THISDIR
SRCDIR=.

SRCFILES="
                Regexp.java
                RegexpParseException.java"

case $# in
    0)  target=all;;
    *)  target=$1;;
esac

case $target in 
    all)          javac $JAVACFLAGS $SRCFILES;
                  mesg="Finished compiling all files in $THISDIR.";;
    veryclean)    rm -f $THISCLASSDIR/*.class;
                  mesg="Finished cleanup in $THISDIR.";;
    *)            echo "Target '$target' not recognized.";
                  mesg="Finished processing '$target' in $THISDIR.";;
esac

echo $mesg
exit
