#
# Revision: 57 1.1 samples/CdfEditor/makeit.ksh, xml4jsamples, xml4j-jtcsv, xml4j_1_1_9 
#

#
# Make script for samples/CdfEditor directory.
#


. setupEnvVars.ksh


THISDIR=samples/CdfEditor
THISCLASSDIR=$XML4JCLASSFILESDIR/$THISDIR
SRCDIR=.

SRCFILES="
                CdfEditor.java
                cdfeStatus.java
                Gateway.java
                LabelEdt.java
                ProcCHANNEL.java
                ProcITEM.java
                PropertyBox.java
                SelectMenu.java
                Transform.java
                XMLComponent.java
                XMLComponentEdt.java
                XMLComponentM.java
        "


case $# in
    0)  target=all;;
    *)  target=$1;;
esac

case $target in 
    all)          javac $JAVACFLAGS $SRCFILES;
                  mesg="Finished compiling all files in $THISDIR.";;
    veryclean)    rm -f $THISCLASSDIR/*.class;
                  mesg="Finished cleanup in $THISDIR.";;
    *)            echo "Target '$target' not recognized.";
                  mesg="Finished processing '$target' in $THISDIR.";;
esac

echo $mesg
exit
