#
# Revision: 76 1.2 samples/Miscellaneous/makeit.ksh, xml4jsamples, xml4j-jtcsv, xml4j_1_1_9 
#

#
# Make script for samples/Miscellaneous directory.
# This directory contains files which require $SWINGJAR.
#


. setupEnvVars.ksh


THISDIR=samples/Miscellaneous
THISCLASSDIR=$XML4JCLASSFILESDIR/$THISDIR
SRCDIR=.

SRCFILES="
                Alias.java
                Digest.java
                GeneratingSample.java
                HTMLPrint.java
                NamespaceDump.java
                Positioning.java
                Progress.java
                SampleFilter.java
                SampleFilter2.java
                SerializeLoad.java
                SerializeSave.java
                SimpleGen.java
                TreeView.java
                ViewDigest.java
                XPointerDemo.java
        "


case $# in
    0)  target=all;;
    *)  target=$1;;
esac

case $target in 
    all)          javac $JAVACFLAGS $SRCFILES;
                  mesg="Finished compiling all files in $THISDIR.";;
    veryclean)    rm -f $THISCLASSDIR/*.class;
                  mesg="Finished cleanup in $THISDIR.";;
    *)            echo "Target '$target' not recognized.";
                  mesg="Finished processing '$target' in $THISDIR.";;
esac

echo $mesg
exit
