#
# Revision: 87 1.1 samples/SiteOutliner/makeit.ksh, xml4jsamples, xml4j-jtcsv, xml4j_1_1_9 
#

#
# Make script for samples/SiteOutliner directory.
# This directory contains files which require $SWINGJAR.
#


. setupEnvVars.ksh


THISDIR=samples/SiteOutliner
THISCLASSDIR=$XML4JCLASSFILESDIR/$THISDIR
SRCDIR=.

SRCFILES="
                SiteOutliner.java
                SiteOutlinerUI.java
        "

case $# in
    0)  target=all;;
    *)  target=$1;;
esac

case $target in 
    all)          javac $JAVACFLAGS $SRCFILES;
                  mesg="Finished compiling all files in $THISDIR.";;
    veryclean)    rm -f $THISCLASSDIR/*.class;
                  mesg="Finished cleanup in $THISDIR.";;
    *)            echo "Target '$target' not recognized.";
                  mesg="Finished processing '$target' in $THISDIR.";;
esac

echo $mesg
exit
