/*
 * (C) Copyright IBM Corp. 1997-1998  All rights reserved.
 *
 * US Government Users Restricted Rights Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package com.ibm.xml.parser.r;

// NOTICE:  This file is written in Japanese characters (EUC-JP).
//      Don't edit by Japanese-unavailabe editors.

/**
 * Error messages in Japanese.
 *   "E_ۤ" ϡѡ顼 WFC ȿ
 *   "W_ۤ" ϡٹ
 *   "V_ۤ" ϡVC ȿ
 *
 * @version Revision: 51 1.5 src/com/ibm/xml/parser/r/Message_ja.java, xml4jsrc, xml4j-jtcsv, xml4j_1_1_9 
 * @author TAMURA Kent &lt;kent@trl.ibm.co.jp&gt;
 */
public class Message_ja extends java.util.ListResourceBundle {
    public Object[][] getContents() {
        return contents;
    }

    static final Object[][] contents = {
        {"E_!0", "ʸˡְ㤤. `<!--' ޤ `<![CDATA[' ɬפǤ."},
        {"E_!1", "ʸˡְ㤤. `<!--' ޤ `<!DOCTYPE' ɬפǤ."},
        {"E_ATTD0", "°̾ɬפǤ."},
        {"E_ATTD1", "`NOTATION' ɬפǤ."},
        {"E_ATTD2", "`CDATA' ޤ `ID' ޤ `IDREF' ޤ `IDREFS' ޤ `ENTITY' ޤ `ENTITIES' ޤ `NMTOKEN' ޤ `NMTOKENS' ޤ 'NOTATION' ޤ `(' ɬפǤ."},
        {"E_ATTD3", "`#REQUIRED' ޤ `#IMPLIED' ޤ `#FIXED' ɬפǤ."},
        {"E_ATTD4", "`#REQUIRED' ޤ `#IMPLIED' ޤ `#FIXED' ޤ°ͤɬפǤ."},
        {"E_ATTD5", "ATTLIST ʸˡְ㤤."},
        {"E_ATTEQ0", "°̾ `{0}'' μ `='' ɬפǤ."},
        {"E_ATTEQ1", "° `{0}'' ϤǤ˻ꤵƤޤ."},
        {"E_ATTEQ2", "ʸIDǤ: `{0}''"},
        {"E_ATTL0", "̾ɬפǤ."},
        {"E_ATTL1", "ATTLIST ʸˡְ㤤: `{0}''"},
        {"V_ATTL2", "ID °1ĤǤ1ĤΤǤޤ. ° `{0}''  ID ȤƤޤ."},
        {"V_ATTL3", "ID Ȥ줿° `{0}'' ϡ#REQUIRED ⤷ #IMPLIED ǤʤФʤޤ." },
        {"W_ATTL1", "ٹ: `xml:space' ° `xml:space (default|preserve) #IMPLIED' 뤳Ȥ侩ޤ."},
        {"W_ATTL2", "ٹ: ° `{0}'' ϤǤƤޤ."},
        {"E_ATTVAL0", "°ͤ \" ޤ ' ǰϤޤʤФޤ."},
        {"E_ATTVAL1", "°ͤ `<' 뤳ȤϤǤޤ."},
        {"E_CDATA0", "ʸˡְ㤤. (<![CDATA[...]]> ?)"},
        {"E_CDATA1", "CDATA  `]]>' ĤƤޤ."},
        {"E_COM0", "ʸˡְ㤤. (<!--...--> ?)"},
        {"E_COM1", "᤬ `-->' ĤƤޤ."},
        {"E_COM2", " `--' 뤳ȤϤǤޤ."},
        {"E_COND0", "`<![INCLUDE[' ޤ `<![IGNORE[' ǤϤޤ."},
        {"E_COND1", "`]]>' ٤Ǥ."},
        {"E_COND3", "`<?' ޤ `<!' ٤Ǥ."},
        {"V_CONT0", "`<{0}>'' ƥǥդޤ."},
        {"V_CONT1", "`<{0}>'' Ƥι¤ְäƤޤ.  ƥǥ: `{1}''"},
        {"E_CS0", "̾ޤ."},
        {"E_CS1", "`|' ޤ `,' ޤ `)' ޤ."},
        {"E_CS2", "`#PCDATA' ޤ."},
        {"E_CS3", "`)' ޤ."},
        {"E_CS4", "')*' ޤ."},
        {"E_CS5", "`(' ޤ̾ɬפǤ."},
        {"E_CS6", "黻 `{0}'' ϴְ㤤Ǥ.   `{1}'' Ǥ."},
        {"V_CS7", "ƥǥΥѥ᥿Τϳ̤ȤޤɬפꡢǤϤʤơǽʸǸʸ `,''  `|'' ǤϤޤ: `{0}''"},
        {"E_CS8", "`(' ޤ̾ɬפǤ: `{0}''"},
        {"E_CS9", "ƥǥϺƥǥη `(#PCDATA|FOO|BAR|...|BAZ)*'' ȹ礤ޤ: `{0}''"},
        {"E_CSa", "ƥǥϺƥǥη `(#PCDATA|FOO|BAR|...|BAZ)*' ȹ礤ޤ."},
        {"E_DOCTYPE0", "ʸˡְ㤤. (<!DOCTYPE ...> ?)"},
        {"E_DOCTYPE1", "ʸ񥿥פ̾ޤ."},
        {"E_DOCTYPE2", "IDϤǤޤ (`SYSTEM' ⤷ `PUBLIC' ޤ): `{0}''"},
        {"E_DOCTYPE3", "DTDǤ."},
        {"E_DTD0", "DTDʸޤ: `{0}'' Unicode  0x{1}"},
        {"E_DTD1", "`<!' ޤ `<?' ǤϤޤ."},
        {"E_DTD2", "ְäǤ: `{0}''"},
        {"E_DTD3", "`ELEMENT' ޤ `ATTLIST' ޤ `ENTITY' ޤ `NOTATION' ɬפǤ."},
        {"E_DTD4", "դϳ֥åΤߤѤǤޤ."},
        {"E_ELEM0", "ʸˡְ㤤. `<!ELEMENT Name ...>'"},
        {"E_ELEM1", "`EMPTY' ޤ `ANY' ޤ `(' ɬפǤ."},
        {"E_ELEM2", "`>' ɬפǤ."},
        {"V_ELEM3", " `{0}'' ϤǤƤޤ."},
        {"E_ENC0", "󥳡ǥ `{0}'' ϥݡȤƤޤ."},
        {"E_ENC1", "XML ǰʤʸǤ: 0x{0}"},
        {"E_ENC2", "UTF-16 ȤʥȤǤ: 0x{0} + 0x{1}"},
        {"E_ENC3", "UTF-16 ȤʥɤǤ: 0x{0}"},
        {"E_ENC4", "UTF-8 1ƥåܤȤʥɤǤ: 0x{0}"},
        {"E_ENC5", "UTF-8 2ƥåܤȤʥɤǤ: 0x{0} 0x{1}"},
        {"E_ENC6", "UTF-8 3ƥåܤȤʥɤǤ: 0x{0} 0x{1} 0x{2}"},
        {"E_ENC7", "UTF-8 4ƥåܤȤʥɤǤ: 0x{0} 0x{1} 0x{2} 0x{3}"},
        {"E_ENTITY0", "̤μλȤǤ: `&{0};''"},
        {"E_ENTITY1", "ʸˡְ㤤. `<!ENTITY %? Name ...>'"},
        {"E_ENTITY2", "Ǥ NDATA ȤϻȤޤ: `&{0};''"},
        {"E_ENTITY3", "λȤͤʸޤ: Unicode  0x{0}"},
        {"E_ENTITY4", "`>' ɬפǤ."},
        {"E_ENTITY5", "ʸˡְ㤤.  `NDATA Name>'"},
        {"W_ENTITY6", "ٹ: ̾ `{0}'' ϤǤ˻ȤƤޤ. ̵뤷ޤ."},
        {"E_ENTITY7", "̼λ `&{0};'' ϤǤϻѤǤޤ."},
        {"V_ENTITY8", "NDATA μ `{0}''  `<!NOTATION ...>' Ƥޤ."},
        {"V_ENTITY9", "ʸ standalone Ƥޤλ `&{0};' ϳλȤǤ."},
        {"E_ENTITYa", "Ǥϥѥ᡼λȤϻȤޤ."},
        {"E_ENUM0", "`)' ɬפǤ."},
        {"E_ENUM1", "ʸˡְ㤤. `(Name | Name | ...)'"},
        {"E_ENUM2", "ʸˡְ㤤. `(Nmtoken | Nmtoken | ...)'"},
        {"E_ENUM3", "`|' ޤ `)' ɬפǤ."},
        {"E_ENUM4", " `{0}'' ϤǤ˻ꤵƤޤ."},
        {"E_ENUM5", "NOTATION `{0}'' Ƥޤ."},
        {"E_EOF", "ճʤȤǥե뽪ü."},
        {"E_EXT0", "बɬפǤ."},
        {"E_EXT1", "Public ID  \" ޤ ' ǰϤɬפޤ."},
        {"E_EXT2", "Public ID ʸޤ: `{0}''"},
        {"E_EXT3", "System ID  \" ޤ ' ǰϤɬפޤ."},
        {"E_EXT4", "System ID ʸޤ: \"{1}\"  `{0}''"},
        {"E_EXT5", "फ `>' ɬפǤ."},
        {"V_IDREF0", "ID `{0}'' ϤʸƤޤ."},
        {"E_INVCHAR0", "ʸǤ: Unicode  0x{0}"},
        {"E_INVENC0", "ʸɤǤ: Big-endian UCS-2, but no byte order mark."},
        {"E_INVENC1", "ʸɤǤ: Little-endian UCS-2, but no byte order mark."},
        {"E_IO0", "ե뤬ޤ: {0}"},
        {"E_NAMES0", "`{0]'' ʸޤǤޤ."},
        {"E_NMTOK0", "`{0]'' ʸޤǤޤ."},
        {"E_NOT0", "ʸˡְ㤤.  `<!NOTATION Name ...>'"},
        {"E_PEREF0", "ѥ᡼Τ̾ޤ."},
        {"E_PEREF1", "ѥ᡼ȤκǸ ';' ޤ: `%{0}''"},
        {"E_PEREF2", "Υѥ᡼ȤƤޤ: `%{0};''"},
        {"E_PEREF3", "ѥ᡼ `%{0};'' 1Ĥ˼ޤäƤޤ. ȤϤ: \"{1}\""},
        {"E_PEREF4", "DTD֥åǤǤΥѥ᡼ȤϤǤޤ."},
        {"E_PEREF5", "ѥ᡼ `%{0};'' ƵŪ˻ѤƤޤ. {1}"},
        {"E_PEREF6", "ƥǥΥѥ᥿ΤִƥȤ϶ǤϤޤ: `%{0};''"},
        {"E_PEREF7", "ƥǥΥѥ᥿ΤִƥȤϳ̤ȤޤޤʤФޤ: `%{0};''"},
        {"E_PEREF8", "ƥǥΥѥ᥿ΤִƥȤκǽ⤷ϺǸʸ `,'' `|'' ǤϤޤ: `%{0};''"},
        {"V_PEREF9", "ѥ᥿ΤִƥȤϴޤޤʤФʤޤ. `<''  `>'' ޤޤƤϤޤ: `%{0};''"},
        {"E_PI0", "PI åȤޤ."},
        {"E_PI1", "PI åȤΤȤ˶बޤ."},
        {"E_PI2", "PI Υǡޤ."},
        {"E_PI3", "`?>' ɬפǤ."},
        {"E_PI4", "󥳡ǥ̾Ǥ: `{0}''"},
        {"E_PI5", "`xml' ǻϤޤ PI å̾ϻȤޤ."},
        {"E_PI6", "Ǥ `version='' `encoding='' ʳΥѥ᡼ϤǤޤ: `{0}=...''"},
        {"E_PI7", "`encoding=' ɬפǤ."},
        {"E_REFER0", "λȤʸޤ: `{0}''"},
        {"E_REFER1", "λȤκǸ `;' ޤ."},
        {"E_REFER2", "ʸȤοͤޤ."},
        {"E_REFER3", "ʸȤͭϰϤǤϤޤ: &#x{0};"},
        {"E_REFER4", "ʸȤͭϰϤǤϤޤ: &#{0};"},
        {"E_SPACE", "बɬפǤ."},
        {"E_STRUCT0", "ʸι¤Ǥ."},
        {"E_STRUCT1", "`<?xml' ʸΰֺǽˤʤФޤ."},
        {"E_STRUCT2", "ʸǤäƤޤ."},
        {"E_STRUCT3", "DOCTYPE ϺǽǤˤʤФޤ."},
        {"W_STRUCT4", "ٹ: `<?xml ...?>' ޤ."},
        {"W_STRUCT5", "ٹ: `<!DOCTYPE ...>' ޤ."},
        {"E_TAG0", "Ǥ̾ޤ."},
        {"E_TAG1", "`/> ޤ `>' ɬפǤ."},
        {"E_TAG3", "`</{0}>'' ɬפǤ."},
        {"E_TAG4", "`>' ɬפǤ."},
        {"V_TAG5", "ʸ񥿥פäƤޤ: !DOCTYPE Ǥ `{0}''롼Ǥ `{1}'' ˤʤäƤޤ."},
        {"V_TAG6", " `{1}'' ° `{0}'' Ƥޤ."},
        {"V_TAG7", "° `{0}'' ʸޤǤޤ."},
        {"V_TAG8", "ID `{0}'' ϴ˻ȤƤޤ."},
        {"V_TAG9", "° `{0}'' Ǥ."},
        {"V_TAGa", "° `{0}'' ϥХʥ곰ΤǤϤޤ."},
        {"V_TAGb", "° `{0}'' Ǥ. `<!NOTATION {0} ...>' Ȥޤ."},
        {"V_TAGc", "° `{0}'' ꤵƤޤ.  ° `#REQUIRED'' Ǥ."},
        {"V_TAGd", "° `{0}'' ְͤäƤޤ.  DTDǤ `{1}''ʸǤ `{2}'' ȤʤäƤޤ."},
        {"E_TAGe", "̾ `{0}'' 2İʾ֤̾ζڤ국椬ޤޤƤޤ."},
        {"E_TAGf", "̾ `{0}'' ֤̾Ƥޤ."},
        {"E_TAGg", "˽λ֤ȤϤǤޤ."},
        {"E_TAGh", "̻ȤˤϴǤޤϥƥȤޤϻȤޤ CDATA ޤ PI ޤΤޤ."},
        {"E_TAGi", "λ `&{0};'' ƵŪ˻ѤƤޤ. {1}"},
        {"E_TAGj", "ƥ `]]>' ޤ뤳ȤϤǤޤ."},
        {"E_TAGk", " `{0}''  `EMPTY'' Ƥޤ. `/>'' Ĥɬפޤ."},
        {"E_TAGl", "° `{0}'' ͤ϶ǤϤޤ."},
        {"E_TAGm", "° `{0}'' (֤̾ `{1}'', ɽ̾ `{2}'') ϴƱΥ `{3}'' ȤƻꤵƤޤ."},
        {"E_XML0", "`?>' ɬפǤ."},
        {"E_XML1", "`version' ɬפǤ."},
        {"E_XML2", "`version' ϺǽˤʤФޤ."},
        {"E_XML3", "standalone ͤ `yes'' ޤ `no'' ǤʤФޤ. `{0}'' ϥǤ. "},
        {"E_XML4", "XML version  `1.0' ǤϤޤ."},
        {"E_XML5", "ʻ⤷Ͻְ֤äƤޤ. `{0}''"},
        {"E_XML6", "XML version  `{0}'' ϴְäǤ."},
        {"E_XMLNS0", "Namespace PI  `ns' °ޤ."},
        {"E_XMLNS1", "Namespace PI  `prefix' °ޤ."},
        {"E_XMLNS2", "`prefix'' ° `{0}'' ̾̾ȤƤǤ."},
        {"E_XMLNS3", "̾̾ `{0}'' ϤǤ˻ѤƤޤ."},
        {"E_XMLNS4", "° `{0}''  Namespace PI Ǥǧޤ."},
        {"E_XMLSS0", "° `{0}''  Stylesheet PI Ǥǧޤ."},
        {"E_XMLSS1", "Stylesheet PI  `type' °ޤ."},
        {"E_XMLSS2", "Stylesheet PI  `href' °ޤ."},
        {"E_", "."},
    };
}
