#
# Revision: 02 1.3 src/com/ibm/xml/parser/r/makeit.ksh, xml4jsrc, xml4j-jtcsv, xml4j_1_1_9 
#

#
# Make script for com/ibm/xml/parser/r directory.
# Needs '-encoding EUJIS' option to correctly compile Message_ja.java.
#


. setupEnvVars.ksh


THISDIR=com/ibm/xml/parser/r
THISCLASSDIR=$XML4JCLASSFILESDIR/$THISDIR
SRCDIR=.

LOCALJAVACFLAGS="-encoding EUCJIS $JAVACFLAGS"

SRCFILES="
                Message.java
                Message_ja.java"

case $# in
    0)  target=all;;
    *)  target=$1;;
esac

case $target in 
    all)          javac $LOCALJAVACFLAGS $SRCFILES;
                  mesg="Finished compiling all files in $THISDIR.";;
    veryclean)    rm -f $THISCLASSDIR/*.class;
                  mesg="Finished cleanup in $THISDIR.";;
    *)            echo "Target '$target' not recognized.";
                  mesg="Finished processing '$target' in $THISDIR.";;
esac

echo $mesg
exit
