#
# Revision: 40 1.2 src/org/w3c/dom/html/makeit.ksh, xml4jsrc, xml4j-jtcsv, xml4j_1_1_9 
#

#
# Make script for org/w3c/dom/html directory.
#


. setupEnvVars.ksh


THISDIR=org/w3c/dom/html
THISCLASSDIR=$XML4JCLASSFILESDIR/$THISDIR
SRCDIR=.

SRCFILES="
                HTMLAnchorElement.java
                HTMLAppletElement.java
                HTMLAreaElement.java
                HTMLBRElement.java
                HTMLBaseElement.java
                HTMLBaseFontElement.java
                HTMLBlockquoteElement.java
                HTMLBodyElement.java
                HTMLButtonElement.java
                HTMLCollection.java
                HTMLDListElement.java
                HTMLDirectoryElement.java
                HTMLDivElement.java
                HTMLDocument.java
                HTMLElement.java
                HTMLFieldSetElement.java
                HTMLFontElement.java
                HTMLFormElement.java
                HTMLFrameElement.java
                HTMLFrameSetElement.java
                HTMLHRElement.java
                HTMLHeadElement.java
                HTMLHeadingElement.java
                HTMLHtmlElement.java
                HTMLIFrameElement.java
                HTMLImageElement.java
                HTMLInputElement.java
                HTMLIsIndexElement.java
                HTMLLIElement.java
                HTMLLabelElement.java
                HTMLLegendElement.java
                HTMLLinkElement.java
                HTMLMapElement.java
                HTMLMenuElement.java
                HTMLMetaElement.java
                HTMLModElement.java
                HTMLOListElement.java
                HTMLObjectElement.java
                HTMLOptGroupElement.java
                HTMLOptionElement.java
                HTMLParagraphElement.java
                HTMLParamElement.java
                HTMLPreElement.java
                HTMLQuoteElement.java
                HTMLScriptElement.java
                HTMLSelectElement.java
                HTMLStyleElement.java
                HTMLTableCaptionElement.java
                HTMLTableCellElement.java
                HTMLTableColElement.java
                HTMLTableElement.java
                HTMLTableRowElement.java
                HTMLTableSectionElement.java
                HTMLTextAreaElement.java
                HTMLTitleElement.java
                HTMLUListElement.java"


case $# in
    0)  target=all;;
    *)  target=$1;;
esac

case $target in 
    all)          javac $JAVACFLAGS $SRCFILES;
                  mesg="Finished compiling all files in $THISDIR.";;
    veryclean)    rm -f $THISCLASSDIR/*.class;
                  mesg="Finished cleanup in $THISDIR.";;
    *)            echo "Target '$target' not recognized.";
                  mesg="Finished processing '$target' in $THISDIR.";;
esac

echo $mesg
exit
