#
# Revision: 09 1.2 src/org/xml/sax/helpers/makeit.ksh, xml4jsrc, xml4j-jtcsv, xml4j_1_1_9 
#

#
# Make script for org/xml/sax/helpers directory.
#


. setupEnvVars.ksh


THISDIR=org/xml/sax/helpers
THISCLASSDIR=$XML4JCLASSFILESDIR/$THISDIR
SRCDIR=.

SRCFILES="
                AttributeListImpl.java
                LocatorImpl.java
                ParserFactory.java"


case $# in
    0)  target=all;;
    *)  target=$1;;
esac

case $target in 
    all)          javac $JAVACFLAGS $SRCFILES;
                  mesg="Finished compiling all files in $THISDIR.";;
    veryclean)    rm -f $THISCLASSDIR/*.class;
                  mesg="Finished cleanup in $THISDIR.";;
    *)            echo "Target '$target' not recognized.";
                  mesg="Finished processing '$target' in $THISDIR.";;
esac

echo $mesg
exit
